Libargus API Libargus Camera API

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | Static Public Member Functions | Protected Attributes
Argus::Tuple< N, T > Class Template Reference

Tuple template class. More...

`#include <Types.h>`

List of all members.

## Public Member Functions
| Tuple ()
| Tuple (T init)
| Initialize every element of the tuple to a single value.
bool | operator== (const Tuple< N, T > &rhs) const
| Returns true when every element in the two tuples are identical.
bool | operator!= (const Tuple< N, T > &rhs) const
| Returns true if there are any differences between the two tuples.
Tuple< N, T > & | operator+= (const Tuple< N, T > &rhs)
| Adds every element of another tuple to the elements of this tuple.
Tuple< N, T > & | operator-= (const Tuple< N, T > &rhs)
| Subtracts every element of another tuple from the elements of this tuple.
Tuple< N, T > & | operator*= (const T &rhs)
| Multiplies every element in the tuple by a single value.
Tuple< N, T > & | operator/= (const T &rhs)
| Divides every element in the tuple by a single value.
const Tuple< N, T > | operator+ (const Tuple< N, T > &rhs) const
| Returns the result of adding another tuple to this tuple.
const Tuple< N, T > | operator- (const Tuple< N, T > &rhs) const
| Returns the result of subtracting another tuple from this tuple.
const Tuple< N, T > | operator* (const T &rhs) const
| Returns the result of multiplying this tuple by a single value.
const Tuple< N, T > | operator/ (const T &rhs) const
| Returns the result of dividing this tuple by a single value.
T & | operator[] (unsigned int i)
const T & | operator[] (unsigned int i) const

## Static Public Member Functions
static unsigned int | tupleSize ()
| Returns the number of elements in the tuple.

## Protected Attributes
T | m_data [N]

## Detailed Description

### template<unsigned int N, typename T>
class Argus::Tuple< N, T >

Tuple template class.

This provides a finite ordered list of N elements having type T.

Definition at line 444 of file Types.h.

## Constructor & Destructor Documentation

template<unsigned int N, typename T>

Argus::Tuple< N, T >::Tuple | ( |  | ) |
| inline

Definition at line 447 of file Types.h.

template<unsigned int N, typename T>

Argus::Tuple< N, T >::Tuple | ( | T | init | ) |
| inline

Initialize every element of the tuple to a single value.

Definition at line 450 of file Types.h.

## Member Function Documentation

template<unsigned int N, typename T>

bool Argus::Tuple< N, T >::operator!= | ( | const Tuple< N, T > & | rhs | ) | const
| inline

Returns true if there are any differences between the two tuples.

Definition at line 463 of file Types.h.

template<unsigned int N, typename T>

const Tuple<N, T> Argus::Tuple< N, T >::operator* | ( | const T & | rhs | ) | const
| inline

Returns the result of multiplying this tuple by a single value.

Definition at line 513 of file Types.h.

template<unsigned int N, typename T>

Tuple<N, T>& Argus::Tuple< N, T >::operator*= | ( | const T & | rhs | ) |
| inline

Multiplies every element in the tuple by a single value.

Definition at line 485 of file Types.h.

template<unsigned int N, typename T>

const Tuple<N, T> Argus::Tuple< N, T >::operator+ | ( | const Tuple< N, T > & | rhs | ) | const
| inline

Returns the result of adding another tuple to this tuple.

Definition at line 501 of file Types.h.

template<unsigned int N, typename T>

Tuple<N, T>& Argus::Tuple< N, T >::operator+= | ( | const Tuple< N, T > & | rhs | ) |
| inline

Adds every element of another tuple to the elements of this tuple.

Definition at line 469 of file Types.h.

template<unsigned int N, typename T>

const Tuple<N, T> Argus::Tuple< N, T >::operator- | ( | const Tuple< N, T > & | rhs | ) | const
| inline

Returns the result of subtracting another tuple from this tuple.

Definition at line 507 of file Types.h.

template<unsigned int N, typename T>

Tuple<N, T>& Argus::Tuple< N, T >::operator-= | ( | const Tuple< N, T > & | rhs | ) |
| inline

Subtracts every element of another tuple from the elements of this tuple.

Definition at line 477 of file Types.h.

template<unsigned int N, typename T>

const Tuple<N, T> Argus::Tuple< N, T >::operator/ | ( | const T & | rhs | ) | const
| inline

Returns the result of dividing this tuple by a single value.

Definition at line 519 of file Types.h.

template<unsigned int N, typename T>

Tuple<N, T>& Argus::Tuple< N, T >::operator/= | ( | const T & | rhs | ) |
| inline

Divides every element in the tuple by a single value.

Definition at line 493 of file Types.h.

template<unsigned int N, typename T>

bool Argus::Tuple< N, T >::operator== | ( | const Tuple< N, T > & | rhs | ) | const
| inline

Returns true when every element in the two tuples are identical.

Definition at line 457 of file Types.h.

template<unsigned int N, typename T>

T& Argus::Tuple< N, T >::operator[] | ( | unsigned int | i | ) |
| inline

Definition at line 524 of file Types.h.

template<unsigned int N, typename T>

const T& Argus::Tuple< N, T >::operator[] | ( | unsigned int | i | ) | const
| inline

Definition at line 525 of file Types.h.

template<unsigned int N, typename T>

static unsigned int Argus::Tuple< N, T >::tupleSize | ( |  | ) |
| inline static

Returns the number of elements in the tuple.

Definition at line 528 of file Types.h.

## Member Data Documentation

template<unsigned int N, typename T>

T Argus::Tuple< N, T >::m_data[N]
| protected

Definition at line 531 of file Types.h.

The documentation for this class was generated from the following file:

- include/Argus/Types.h